MS15-101: Vulnerabilities in the .NET Framework could allow elevation of privilege: September 8, 2015

Summary

This security update resolves a vulnerability in the Microsoft .NET Framework. The vulnerabilities in the .NET Framework could allow elevation of privilege if a user runs a specially crafted .NET Framework application. To learn more about the vulnerability, see Microsoft Security Bulletin MS15-101.

More Information

Important
  • All future security and nonsecurity updates for Windows RT 8.1, Windows 8.1, and Windows Server 2012 R2 require update 2919355 to be installed. We recommend that you install update 2919355 on your Windows RT 8.1-based, Windows 8.1-based, or Windows Server 2012 R2-based computer so that you receive future updates.
  • If you install a language pack after you install this update, you must reinstall this update. Therefore, we recommend that you install any language packs that you need before you install this update. For more information, see Add language packs to Windows.

Additional information about this security update

The following articles contain more information about this security update as it relates to individual product versions. The articles may contain known issue information.
Article numberArticle title
3074232 MS15-101: Description of the security update for the .NET Framework 4.6 and 4.6 RC on Windows 8.1 and Windows Server 2012 R2: September 8, 2015
3074553 MS15-101: Description of the security update for the .NET Framework 4.6 and 4.6 RC on Windows 8.1 and Windows Server 2012 R2: September 8, 2015
3074231 MS15-101: Description of the security update for the .NET Framework 4.6 and 4.6 RC on Windows 8 and Windows Server 2012: September 8, 2015
3074552 MS15-101: Description of the security update for the .NET Framework 4.6 and 4.6 RC on Windows 8 and Windows Server 2012: September 8, 2015
3074233 MS15-101: Description of the security update for the .NET Framework 4.6 and 4.6 RC on Windows 7 Service Pack 1, Windows Server 2008 R2 Service Pack 1, Windows Vista Service Pack 2, and Windows Server 2008 Service Pack 2: September 8, 2015
3074554 MS15-101: Description of the security update for the .NET Framework 4.6 and 4.6 RC on Windows 7 Service Pack 1, Windows Server 2008 R2 Service Pack 1, Windows Vista Service Pack 2, and Windows Server 2008 Service Pack 2: September 8, 2015
3074548 MS15-101: Description of the security update for the .NET Framework 4.5.1 and 4.5.2 on Windows 8.1, Windows RT 8.1, and Windows Server 2012 R2: September 8, 2015
3074228 MS15-101: Description of the security update for the .NET Framework 4.5.1 and 4.5.2 on Windows 8.1, Windows RT 8.1, and Windows Server 2012 R2: September 8, 2015
3074549 MS15-101: Description of the security update for the .NET Framework 4.5, 4.5.1, and 4.5.2 on Windows 8, Windows RT, and Windows Server 2012: September 8, 2015
3074230 MS15-101: Description of the security update for the .NET Framework 4.5, 4.5.1, and 4.5.2 on Windows 7 Service Pack 1, Windows Server 2008 R2 Service Pack 1, Windows Vista Service Pack 2, and Windows Server 2008 Service Pack 2: September 8, 2015
3074550 MS15-101: Description of the security update for the .NET Framework 4.5, 4.5.1, and 4.5.2 on Windows 7 Service Pack 1, Windows Server 2008 R2 Service Pack 1, Windows Vista Service Pack 2, and Windows Server 2008 Service Pack 2: September 8, 2015
3074229 MS15-101: Description of the security update for the .NET Framework 4.5, 4.5.1, and 4.5.2 on Windows 8, Windows RT, and Windows Server 2012: September 8, 2015
3074547 MS15-101: Description of the security update for the .NET Framework 4 on Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2: September 8, 2015
3074543 MS15-101: Description of the security update for the .NET Framework 3.5.1 on Windows 7 Service Pack 1 and Windows Server 2008 R2 Service Pack 1: September 8, 2015
3074545 MS15-101: Description of the security update for the .NET Framework 3.5 on Windows 8.1 and Windows Server 2012 R2: September 8, 2015
3074544 MS15-101: Description of the security update for the .NET Framework 3.5 on Windows 8, and Windows Server 2012: September 8, 2015
3074541 MS15-101: Description of the security update for the .NET Framework 2.0 Service Pack 2 on Windows Vista Service Pack 2 and Windows Server 2008 Service Pack 2: September 8, 2015
Security update deployment information
File hash information
How to obtain help and support for this security update

Applies to

This article applies to the following:
  • Microsoft .NET Framework 4.6 and 4.6 RC when used with:
    • Windows 10
    • Windows Server 2012 R2
    • Windows 8.1
    • Windows Server 2012
    • Windows 8
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4.5.2 when used with:
    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
    • Windows Server 2012
    • Windows 8
    • Windows RT
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4.5.1 when used with:
    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
    • Windows Server 2012
    • Windows 8
    • Windows RT
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4.5 when used with:
    • Windows Server 2012 R2
    • Windows 8.1
    • Windows RT 8.1
    • Windows Server 2012
    • Windows 8
    • Windows RT
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 4 when used with:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
  • Microsoft .NET Framework 3.5.1 when used with:
    • Windows Server 2008 R2 Service Pack 1
    • Windows 7 Service Pack 1
  • Microsoft .NET Framework 3.5 when used with:
    • Windows Server 2012 R2
    • Windows 8.1
    • Windows Server 2012
    • Windows 8
  • Microsoft .NET Framework 2.0 Service Pack 2 when used with:
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
    • Windows Server 2003 Service Pack 2
  • Microsoft .NET Framework 1.1 Service Pack 1 when used with:
    • Windows Server 2008 Service Pack 2
    • Windows Vista Service Pack 2
    • Windows Server 2003 Service Pack 2
Thuộc tính

ID Bài viết: 3089662 - Xem lại Lần cuối: 08-09-2015 - Bản sửa đổi: 1

Phản hồi